/*
   Copyright (C) 2008 by krasnop@bellsouth.net (Alexei Krasnopolski)

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License. 
*/

#ifndef PHILOSOPHERAO_HPP_
#define PHILOSOPHERAO_HPP_

#include "ISAObject.hpp"
#include "Timer.hpp"
#include "AOScheduler.hpp"

class PhilosopherAO : public AObject
{
  private:
    int n;
  public:
   PhilosopherAO( DWORD, Hsm* );
   int getNumber() { return n; };
};

#endif /*PHILOSOPHERAO_HPP_*/
